package cn.ibizlab.core.analysis.filter;

import java.math.BigDecimal;
import java.math.BigInteger;
import java.sql.Timestamp;
import java.util.ArrayList;
import java.util.List;
import java.util.Map;
import java.util.HashMap;

import lombok.*;
import lombok.extern.slf4j.Slf4j;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.alibaba.fastjson.annotation.JSONField;

import org.springframework.util.ObjectUtils;
import org.springframework.util.StringUtils;


import cn.ibizlab.util.filter.QueryWrapperContext;
import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import cn.ibizlab.core.analysis.domain.DABuild;
/**
 * 关系型数据实体[DABuild] 查询条件对象
 */
@Slf4j
@Data
public class DABuildSearchContext extends QueryWrapperContext<DABuild> {

	private String n_buildname_like;//[名称]
	public void setN_buildname_like(String n_buildname_like) {
        this.n_buildname_like = n_buildname_like;
        if(!ObjectUtils.isEmpty(this.n_buildname_like)){
            this.getSearchCond().like("buildname", n_buildname_like);
        }
    }
	private String n_modelid_eq;//[模型标识]
	public void setN_modelid_eq(String n_modelid_eq) {
        this.n_modelid_eq = n_modelid_eq;
        if(!ObjectUtils.isEmpty(this.n_modelid_eq)){
            this.getSearchCond().eq("modelid", n_modelid_eq);
        }
    }
	private String n_modelname_eq;//[模型名称]
	public void setN_modelname_eq(String n_modelname_eq) {
        this.n_modelname_eq = n_modelname_eq;
        if(!ObjectUtils.isEmpty(this.n_modelname_eq)){
            this.getSearchCond().eq("modelname", n_modelname_eq);
        }
    }
	private String n_modelname_like;//[模型名称]
	public void setN_modelname_like(String n_modelname_like) {
        this.n_modelname_like = n_modelname_like;
        if(!ObjectUtils.isEmpty(this.n_modelname_like)){
            this.getSearchCond().like("modelname", n_modelname_like);
        }
    }
	private String n_systemid_eq;//[系统标识]
	public void setN_systemid_eq(String n_systemid_eq) {
        this.n_systemid_eq = n_systemid_eq;
        if(!ObjectUtils.isEmpty(this.n_systemid_eq)){
            this.getSearchCond().eq("systemid", n_systemid_eq);
        }
    }

    /**
	 * 启用快速搜索
	 */
    @Override
	public void setQuery(String query)
	{
		 this.query=query;
		 if(!StringUtils.isEmpty(query)){
            this.getSearchCond().and( wrapper ->
                     wrapper.like("buildname", query)
            );
		 }
	}
}



